<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
  encabezado2($target); 
		 class obtiene{
		  var $userObj;
		  function obtener($perfil){
					$this->userObj=new select_zonas();
				    $tabla=$this->userObj->get_tabla($_GET['suc']);
					$_SESSION['tabla_guia']=$tabla;
		  }
		  function cantidad($sql_consulta){
				$this->userObj=new select_zonas();
				$cant=$this->userObj->get_filas($sql_consulta);
				return $cant;
		}
	}
	$eliminaObj=new obtiene();
	$eliminaObj->obtener($suc);
	$tabla=$_SESSION['tabla_guia'];
	$tamano_pagina=20;
   $_SESSION['tam']=$tamano_pagina;  
   $pagina = $_GET["pagina"];
			    if(!$pagina){
		        	$inicio=0;
					$_SESSION['inicio']=$inicio;
		        	$pagina=1;
		  		}else{
		            $inicio=($pagina-1)*$tamano_pagina;
					$_SESSION['inicio']=$inicio;
		  		}
				
$rst_paginar="SELECT g.guia, g.orden,g.nom_zona,o.producto, g.empresa, g.destinatario, g.direccion, g.telefono, g.ciudad, o.fecha_creacion ".
"FROM ".$tabla." as g inner join ordenes as o on g.orden=o.orden ".
"WHERE g.id_sucursal = '".$suc."' AND g.orden = '".$orden."' AND g.id_mensajero = '".$id_mens."' AND g.id_estado = '13'
order by nom_zona,id_conse";
$cant=$eliminaObj->cantidad($rst_paginar);
$total_paginas= ceil($cant/$tamano_pagina);

		unset($titulos);
		unset($query_nomina);
		$titulos[]="GUIA";
		$titulos[]="ODS";
		$titulos[]="ZONA";
		$titulos[]="FECHA";
		$titulos[]="EMPRESA";
		$titulos[]="DESTINATARIO";
		$titulos[]="DIRECCION";
		$titulos[]="TELEFONO";
		$titulos[]="CIUDAD";
		$titulos[]="PRODUCTO";
		
		$query_pen_ods="SELECT g.guia, g.orden,trim(g.nom_zona), date(o.fecha_creacion), trim(g.empresa), trim(g.destinatario), trim(g.direccion),
		 g.telefono, trim(g.ciudad), trim(o.producto)  FROM $tabla as g inner join ordenes as o on g.orden=o.orden 
		 WHERE g.id_sucursal = '$suc' AND g.orden = '$orden' AND g.id_mensajero = '$id_mens' AND g.id_estado = '13'
		 order by nom_zona,id_conse";
		//echo $query_pen_men;
		$_SESSION['sql_nomina']=$query_pen_ods;
		$_SESSION['titulos']=$titulos;

$paginanombre='VER DETALLE DE PENDIENTES DE LA ORDEN No '.$orden;
?>
<CENTER>
<table width="700" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="10" class=miTable_th1><div align="center">..:: <? echo $paginanombre;?> ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="10" class=miTable_th1><a href='xls_alfa.php'><img src='imagenes/xls_icon.gif' /></a></td>
</tr>
<?
class pendiente_ods{

function detalle_guia($inicio,$tamano_pagina,$tabla,$orden,$zona,$suc,$id_mens){
              include("logos.php"); 
			  $this->conexionObj2=new conexion();
			  $this->conexionObj2->conectarse();
			  $rst_select_lotes=$this->conexionObj2->consultar("SELECT g.guia, g.orden,g.nom_zona, o.producto, g.empresa, g.destinatario,
			  g.direccion, g.telefono, g.ciudad, date(o.fecha_creacion) as fecha_creacion FROM ".$tabla." as g inner join ordenes as o on g.orden=o.orden
			  WHERE g.id_sucursal = '".$suc."' AND g.orden = '".$orden."' AND g.id_mensajero = '".$id_mens."' AND
			  g.id_estado = '13' order by nom_zona,id_conse LIMIT ".$inicio.",".$tamano_pagina."");
			  echo "<tr class=miTable_tr>";
					echo "<td width=60 valign=top class=miTable_th1>$Tguia</td>";
					echo "<td width=60 valign=top class=miTable_th1>$Torden</td>";
					echo "<td width=60 valign=top class=miTable_th1>ZONA</td>";
					echo "<td width=60 valign=top class=miTable_th1>FECHA</td>";
					echo "<td width=140 valign=top class=miTable_th1>$Tempresa</td>";
					echo "<td width=140 valign=top class=miTable_th1>$Tdestinatario</td>";
					echo "<td width=140 valign=top class=miTable_th1>$Tdireccion</td>";
					echo "<td width=60 valign=top class=miTable_th1>$Ttelefono</td>";
					echo "<td width=80 valign=top class=miTable_th1>$Tciudad</td>";
					echo "<td width=100 valign=top class=miTable_th1>$Tproducto</td></tr>";
					
			  while($row_select_lotes=mysql_fetch_array($rst_select_lotes)){
			  		echo "<tr class=miTable_tr>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['guia']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['orden']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['nom_zona']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['fecha_creacion']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['empresa']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['destinatario']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['direccion']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['telefono']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes['ciudad']."</td>";
					echo "<td valign=top class=miTable_td>".$row_select_lotes[3]."</td></tr>";

			  }

	 }
}
$pendiente_odsObj=new pendiente_ods();
$pendiente_odsObj->detalle_guia($inicio,$tamano_pagina,$tabla,$orden,$zona,$suc,$id_mens);
?>
<tr><td valign=top class=miTable_td colspan=10>
<div align="center">
<?
if($total_paginas>1)
		{   echo "Paginas:";
			$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
			if ($start > 1 ){
				print "&nbsp;<a href=accion_pendientes_ods.php?pagina=".($start-1)."&tabla=$tabla&suc=$suc&id_mens=$id_mens&orden=$orden&zona=$zona'> << </A>";
			}
			for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
				if($pagina == $start+$i){
					print "&nbsp;&nbsp;".($start+$i); 
				}else{
					print "&nbsp;&nbsp;<a href='accion_pendientes_ods.php?pagina=".($start+$i)."&tabla=$tabla&suc=$suc&id_mens=$id_mens&orden=$orden&zona=$zona'>". ($start+$i)." </A>";
				}
		   	}
			if($start+$i < $total_paginas){
			    print "&nbsp;&nbsp;<a href='accion_pendientes_ods.php?pagina=".($start+$i)."&tabla=$tabla&suc=$suc&id_mens=$id_mens&orden=$orden&zona=$zona'> >> </A>";

			}
		 
			
		 } 
?>
</div>
</td></tr>
<tr><td valign=top class=miTable_th1 colspan=10></td></tr>
</table>
</CENTER>
<?
	echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
    echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
<?php
  echo"</tr>";
  echo"</tbody></table>";
  echo"</body>";
  echo"</html>";
?>
